<?php
require'f_descarcari.php';
require'f_admin.php';
$titlu='Editează imagine descărcări'.$x1;
require'f_sus.php';
$tip=$_GET['tip']??'';
if(!in_array($go,['logo','logo1','logo2','logo3','logo4','logo5']))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți administra o altă coloană exceptând coloanele logo, logo1, logo2, logo3, logo4, logo5!<br />Dacă ai accesat această pagină într-un mod bine intenționat, anunță membrul '.nume($id_proprietari[0]).', specificându-i ce ai dorit să faci!'.$div[0];
elseif($finfo[4]==''&&$go!='logo')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți administra o altă imagine, atât timp cât imaginea logo nu este adăugată!'.$div[0];
elseif($go=='logo'&&$tip=='sterge'&&$finfo[5]!=''&&$finfo[6]!=''&&$finfo[7]!=''&&$finfo[8]!=''&&$finfo[9]!='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți șterge imaginea logo, atât timp cât o altă imagine este adăugată!'.$div[0];
elseif($finfo[$go]!=''&&$tip!='sterge')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți adăuga o imagine ca '.$finfo[$go].', atât timp cât o altă imagine este adăugată în această coloană a acestui album!<br />Șterge mai întâi acea imagine, sau adaugă fișierul într-o altă coloană!'.$div[0];
else
{
if($tip=='adauga')
{
$dir='img/albume_descarcari';
$extensii_acceptate=['gif','jpeg','jpg','png'];
if(isset($_FILES['fisier']))
{
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
$nume_fisier='album_'.$fid.'_'.$go.'_'.$_FILES['fisier']['name'];
$extensie=mb_strtolower(pathinfo($nume_fisier)['extension']);
if(!in_array($extensie,$extensii_acceptate))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Fișier ne cunoscut, sper că nu încerci să faci vre-o măgărie!'.$div[0];
require'f_jos.php';
}
$nume_fisier=preg_replace('/[^a-z0-9\.\$\%\'\`\-\@\{\}\~\!\#\(\)\&\_\^]/i','',str_replace([' ','%20'],['_','_'],$nume_fisier));
if(mb_strlen($nume_fisier)>53)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele este prea lung, redenumește fișierul înainte de a-l încărca!'.$div[0];
require'f_jos.php';
}
if(empty($nume_fisier))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nici un fișier selectat!'.$div[0];
require'f_jos.php';
}
$itemurl=$dir.'/'.$nume_fisier;
if(file_exists($itemurl))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Un fișier cu acest nume este adăugat ca imagine la albume descărcări!<br />Daca stii cu siguranta ca aceasta imagine nu este la albume descărcări, redenumeste fișierul, și încarcă-l din nou!'.$div[0];
require'f_jos.php';
}
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
copy($_FILES['fisier']['tmp_name'],$itemurl) or die($div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu se poate copia, verifică permisiunile dosarului în care urmează să fie introdus fișierul!'.$div[0]);
if($conn->query('UPDATE`descarcari_albume`SET`'.$go.'`="'.$itemurl.'"WHERE`id`="'.$fid.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a adăugat imaginea '.$nume_fisier.' ca '.$go.', la albumul [b]'.$finfo[2].'[/b] de la descărcări",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Imaginea '.$go.' a fost adăugată!<br /><a href="/admin-aplica-nume-site-pe-logo/categorie/'.['logo'=>'1-albume-descarcari-cu-logo','logo1'=>'2-albume-descarcari-cu-logo1','logo2'=>'3-albume-descarcari-cu-logo2','logo3'=>'4-albume-descarcari-cu-logo3','logo4'=>'5-albume-descarcari-cu-logo4','logo5'=>'6-albume-descarcari-cu-logo5'][$go].'/v/'.$fid.'-/tip/aplica">Aplică numele site-ului pe această imagine</a>';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0].$div[1].'Fisier: '.$nume_fisier.'<br />Link: '.$itemurl.'<br />Mărime fișier: '.round($_FILES['fisier']['size']/1024,1).' KB<br />Format: *.'.$extensie.$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai selectat nici un fișier!'.$div[0];
}
elseif($tip=='sterge')
{
if($finfo[$go]!='')
{
$conn->query('UPDATE`descarcari_albume`SET`'.$go.'`=""WHERE`id`="'.$fid.'"');
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a șters imaginea '.$finfo[$go].' ca '.$go.', de la albumul [b]'.$finfo[2].'[/b] de la descărcări",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if(unlink($finfo[$go]))
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Imaginea <strong>'.$finfo[$go].'</strong> a fost ștearsă!'.$div[0];
else
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Erori FTP",`de`="'.$id_robot.'",`text`="imaginea de la link-ul: '.$finfo[$go].', nu a putut fi ștearsă, trebuie să fie ștearsă manual din FTP.",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Imaginea <strong>'.$finfo[$go].'</strong> nu a fost ștearsă!';
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Imaginea '.$go.' nu este completată, deci nu ai ce să ștergi!'.$div[0];
}
else
{
echo$div[4].'<img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă '.$go.$x1.$div[5];
if($is_pc=='1')
echo$div[7].'Nu poți încărca fișiere având setată versiunea WML, alege altă versiune din pagina principală!'.$div[0];
else
{
$form[0]=$_SERVER['REQUEST_URI'].'?tip=adauga" method="post" ENCTYPE="multipart/form-data';
$form[1]=0;
$form[2]=$div[1].'Fisier:<br /><input type="file" name="fisier" />'.$div[0];
$form[3]='fisier';
$form[4]='Adauga';
require'f_form.php';
}
}
}
require'f_jos.php';